CREATE TABLE cmf_i_fd_headers_gt (
    EFD_INTERFACE_HEADER_ID           NUMBER(18, 0),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    DOCUMENT_HEADER_ID                NUMBER(18, 0),
    IMPORTING_STATUS                  VARCHAR2(120),
    JG_STATUS                         VARCHAR2(120),
    ZX_STATUS                         VARCHAR2(120),
    ACKNOWLEDGED_DATE                 TIMESTAMP(6) ,
    CURRENCY                          VARCHAR2(120),
    DOCUMENT_STATUS                   VARCHAR2(120),
    CHARGE_ALLOCATION_STATUS          VARCHAR2(120),
    TAX_CALCULATION_STATUS            VARCHAR2(120),
    REFERENCED_STATUS                 VARCHAR2(120),
    APPROVED_STATUS                   VARCHAR2(120),
    DOCUMENT_TYPE                     VARCHAR2(120),
    SOURCE_DOCUMENT_TYPE              VARCHAR2(120),
    SOURCE_DOC_CURRENCY_CODE          VARCHAR2(120),
    SOURCE_DOC_CUR_CONVERSION_TYPE    VARCHAR2(120),
    ACCESS_KEY_NUMBER                 VARCHAR2(256),
    OPERATION_TYPE                    VARCHAR2(120),
    DOCUMENT_NUMBER                   NUMBER(9, 0) ,
    SERIES                            NUMBER(9, 0) ,
    SUBSERIES                         NUMBER(9, 0) ,
    MODEL                             VARCHAR2(256),
    ISSUE_DATE                        TIMESTAMP(6) ,
    TOTAL_AMOUNT                      NUMBER       ,
    ITEM_LINE_TOTAL                   NUMBER       ,
    ISSUER_TAXPAYER_ID                NUMBER(18, 0),
    ISSUER_NAME                       VARCHAR2(240),
    ISSUER_ADDRESS                    VARCHAR2(240),
    ISSUER_ID                         NUMBER(18, 0),
    ISSUER_ADDRESS_ID                 NUMBER(18, 0),
    RECEIVER_TAXPAYER_ID              NUMBER(18, 0),
    RECEIVER_NAME                     VARCHAR2(240),
    RECEIVER_ADDRESS                  VARCHAR2(240),
    RECEIVER_ID                       NUMBER(18, 0),
    RECEIVER_ADDRESS_ID               NUMBER(18, 0),
    RECEIVER_TAX_ID                   NUMBER(18, 0),
    SHIP_TO_TAXPAYER_ID               NUMBER(18, 0),
    SHIP_TO_ADDRESS                   VARCHAR2(240),
    SHIP_TO_LOCATION_ADDRESS_ID       NUMBER(18, 0),
    SHIP_TO_LOCATION_TAX_ID           NUMBER(18, 0),
    SHIP_FROM_TAXPAYER_ID             NUMBER(18, 0),
    SHIP_FROM_ADDRESS                 VARCHAR2(240),
    SHIP_FROM_ADDRESS_ID              NUMBER(18, 0),
    SHIP_FROM_TAX_ID                  NUMBER(18, 0),
    FREIGHT_AMOUNT                    NUMBER       ,
    INSURANCE_AMOUNT                  NUMBER       ,
    OTHER_EXPENSES_AMOUNT             NUMBER       ,
    DISCOUNT_AMOUNT                   NUMBER       ,
    ISSUING_PURPOSE                   VARCHAR2(120),
    VALIDATION_STATUS                 VARCHAR2(120),
    REQUEST_ID                        NUMBER(18, 0),
    EFD_INTERFACE_HEADER_ID           NUMBER(18, 0),
    OBJECT_VERSION_NUMBER             NUMBER(9, 0)     NOT NULL,
    DOCUMENT_HEADER_ID                NUMBER(18, 0),
    IMPORTING_STATUS                  VARCHAR2(120),
    JG_STATUS                         VARCHAR2(120),
    ZX_STATUS                         VARCHAR2(120),
    ACKNOWLEDGED_DATE                 TIMESTAMP(6) ,
    CURRENCY                          VARCHAR2(120),
    DOCUMENT_STATUS                   VARCHAR2(120),
    CHARGE_ALLOCATION_STATUS          VARCHAR2(120),
    TAX_CALCULATION_STATUS            VARCHAR2(120),
    REFERENCED_STATUS                 VARCHAR2(120),
    APPROVED_STATUS                   VARCHAR2(120),
    DOCUMENT_TYPE                     VARCHAR2(120),
    SOURCE_DOCUMENT_TYPE              VARCHAR2(120),
    SOURCE_DOC_CURRENCY_CODE          VARCHAR2(120),
    SOURCE_DOC_CUR_CONVERSION_TYPE    VARCHAR2(120),
    ACCESS_KEY_NUMBER                 VARCHAR2(256),
    OPERATION_TYPE                    VARCHAR2(120),
    DOCUMENT_NUMBER                   NUMBER(9, 0) ,
    SERIES                            NUMBER(9, 0) ,
    SUBSERIES                         NUMBER(9, 0) ,
    MODEL                             VARCHAR2(256),
    ISSUE_DATE                        TIMESTAMP(6) ,
    TOTAL_AMOUNT                      NUMBER       ,
    ITEM_LINE_TOTAL                   NUMBER       ,
    ISSUER_TAXPAYER_ID                NUMBER(18, 0),
    ISSUER_NAME                       VARCHAR2(240),
    ISSUER_ADDRESS                    VARCHAR2(240),
    ISSUER_ID                         NUMBER(18, 0),
    ISSUER_ADDRESS_ID                 NUMBER(18, 0),
    RECEIVER_TAXPAYER_ID              NUMBER(18, 0),
    RECEIVER_NAME                     VARCHAR2(240),
    RECEIVER_ADDRESS                  VARCHAR2(240),
    RECEIVER_ID                       NUMBER(18, 0),
    RECEIVER_ADDRESS_ID               NUMBER(18, 0),
    RECEIVER_TAX_ID                   NUMBER(18, 0),
    SHIP_TO_TAXPAYER_ID               NUMBER(18, 0),
    SHIP_TO_ADDRESS                   VARCHAR2(240),
    SHIP_TO_LOCATION_ADDRESS_ID       NUMBER(18, 0),
    SHIP_TO_LOCATION_TAX_ID           NUMBER(18, 0),
    SHIP_FROM_TAXPAYER_ID             NUMBER(18, 0),
    SHIP_FROM_ADDRESS                 VARCHAR2(240),
    SHIP_FROM_ADDRESS_ID              NUMBER(18, 0),
    SHIP_FROM_TAX_ID                  NUMBER(18, 0),
    FREIGHT_AMOUNT                    NUMBER       ,
    INSURANCE_AMOUNT                  NUMBER       ,
    OTHER_EXPENSES_AMOUNT             NUMBER       ,
    DISCOUNT_AMOUNT                   NUMBER       ,
    ISSUING_PURPOSE                   VARCHAR2(120),
    VALIDATION_STATUS                 VARCHAR2(120),
    REQUEST_ID                        NUMBER(18, 0),
    CONSTRAINT pk_cmf_i_fd_headers_gt PRIMARY KEY (EFD_INTERFACE_HEADER_ID, EFD_INTERFACE_HEADER_ID)
);
